Skip to content

Instantly share code, notes, and snippets.

@phpdude
Created Mar 2, 2016
Embed
What would you like to do?
{
"name": "assets",
"version": "1.0.0",
"description": "Webpack project configuration",
"main": "webpack.config.js",
"scripts": {
"build": "NODE_ENV=production webpack --display-modules --profile",
"dev": "BABEL_ENV=development node devServer.js",
"watch": "BABEL_ENV=development webpack --display-modules --profile"
},
"devDependencies": {
"autoprefixer-loader": "latest",
"babel-core": "latest",
"babel-loader": "latest",
"babel-plugin-add-module-exports": "latest",
"babel-plugin-transform-runtime": "latest",
"babel-preset-es2015": "latest",
"babel-preset-react": "latest",
"babel-preset-react-hmre": "latest",
"babel-preset-stage-0": "latest",
"babel-runtime": "latest",
"clean-webpack-plugin": "latest",
"cross-env": "latest",
"css-loader": "latest",
"es6-mixins": "latest",
"expose-loader": "latest",
"express": "latest",
"extract-text-webpack-plugin": "latest",
"file-loader": "latest",
"node-sass": "latest",
"react": "latest",
"react-dom": "latest",
"resolve-url-loader": "latest",
"sass-loader": "latest",
"url-loader": "latest",
"webpack": "latest",
"webpack-dev-middleware": "latest",
"webpack-hot-middleware": "latest"
},
"repository": {
"type": "git",
"url": ""
},
"dependencies": {
"jquery": "latest",
"react-bootstrap": "latest"
},
"babel": {
"plugins": [
"transform-runtime",
"add-module-exports"
],
"presets": [
"es2015",
"stage-0",
"react"
],
"env": {
"development": {
"presets": [
"react-hmre"
]
}
}
}
}
@TrejGun
Copy link

TrejGun commented Mar 3, 2016

npm WARN deprecated autoprefixer-loader@3.2.0: Please use postcss-loader instead of autoprefixer-loader
npm WARN deprecated npmconf@2.1.2: this package has been reintegrated into npm and is now out of date with respect to npm
npm WARN deprecated lodash@1.0.2: lodash@<3.0.0 is no longer maintained. Upgrade to lodash@^4.0.0.
npm WARN deprecated graceful-fs@1.2.3: graceful-fs version 3 and before will fail on newer node releases. Please update to graceful-fs@^4.0.0 as soon as possible.
npm WARN prefer global node-gyp@3.3.0 should be installed with -g

> fsevents@1.0.8 install /Users/mabp/projects/dude/node_modules/fsevents
> node-pre-gyp install --fallback-to-build

[fsevents] Success: "/Users/mabp/projects/dude/node_modules/fsevents/lib/binding/Release/node-v47-darwin-x64/fse.node" is installed via remote

> node-sass@3.4.2 install /Users/mabp/projects/dude/node_modules/node-sass
> node scripts/install.js

Binary downloaded and installed at /Users/mabp/projects/dude/node_modules/node-sass/vendor/darwin-x64-47/binding.node

> spawn-sync@1.0.15 postinstall /Users/mabp/projects/dude/node_modules/spawn-sync
> node postinstall


> node-sass@3.4.2 postinstall /Users/mabp/projects/dude/node_modules/node-sass
> node scripts/build.js

` /Users/mabp/projects/dude/node_modules/node-sass/vendor/darwin-x64-47/binding.node ` exists. 
 testing binary.
Binary is fine; exiting.
assets@1.0.0 /Users/mabp/projects/dude
+-- autoprefixer-loader@3.2.0 
| +-- autoprefixer@6.3.3 
| | +-- browserslist@1.1.3 
| | +-- caniuse-db@1.0.30000414 
| | +-- normalize-range@0.1.2 
| | +-- num2fraction@1.2.2 
| | `-- postcss-value-parser@3.3.0 
| +-- loader-utils@0.2.12 
| | `-- big.js@3.1.3 
| +-- postcss@5.0.19 
| | `-- js-base64@2.1.9 
| `-- postcss-safe-parser@1.0.7 
+-- babel-core@6.6.4 
| +-- babel-code-frame@6.6.0 
| | +-- babel-runtime@5.8.35 
| | +-- esutils@2.0.2 
| | +-- js-tokens@1.0.2 
| | +-- line-numbers@0.2.0 
| | | `-- left-pad@0.0.3 
| | `-- repeating@1.1.3 
| |   `-- is-finite@1.0.1 
| |     `-- number-is-nan@1.0.0 
| +-- babel-generator@6.6.4 
| | +-- babel-runtime@5.8.35 
| | +-- detect-indent@3.0.1 
| | +-- is-integer@1.0.6 
| | `-- trim-right@1.0.1 
| +-- babel-helpers@6.6.0 
| | `-- babel-runtime@5.8.35 
| +-- babel-messages@6.6.0 
| | `-- babel-runtime@5.8.35 
| +-- babel-register@6.6.0 
| | +-- babel-runtime@5.8.35 
| | | `-- core-js@1.2.6 
| | +-- core-js@2.1.3 
| | +-- home-or-tmp@1.0.0 
| | | +-- os-tmpdir@1.0.1 
| | | `-- user-home@1.1.1 
| | `-- source-map-support@0.2.10 
| |   `-- source-map@0.1.32 
| +-- babel-runtime@5.8.35 
| | `-- core-js@1.2.6 
| +-- babel-template@6.6.4 
| | `-- babel-runtime@5.8.35 
| +-- babel-traverse@6.6.4 
| | +-- babel-runtime@5.8.35 
| | `-- globals@8.18.0 
| +-- babel-types@6.6.4 
| | +-- babel-runtime@5.8.35 
| | `-- to-fast-properties@1.0.1 
| +-- babylon@6.6.4 
| | `-- babel-runtime@5.8.35 
| +-- convert-source-map@1.2.0 
| +-- debug@2.2.0 
| | `-- ms@0.7.1 
| +-- json5@0.4.0 
| +-- lodash@3.10.1 
| +-- minimatch@2.0.10 
| | `-- brace-expansion@1.1.3 
| |   +-- balanced-match@0.3.0 
| |   `-- concat-map@0.0.1 
| +-- path-exists@1.0.0 
| +-- path-is-absolute@1.0.0 
| +-- private@0.1.6 
| +-- shebang-regex@1.0.0 
| +-- slash@1.0.0 
| `-- source-map@0.5.3 
+-- babel-loader@6.2.4 
| +-- mkdirp@0.5.1 
| | `-- minimist@0.0.8 
| `-- object-assign@4.0.1 
+-- babel-plugin-add-module-exports@0.1.2 
+-- babel-plugin-transform-runtime@6.6.0 
| `-- babel-runtime@5.8.35 
+-- babel-preset-es2015@6.6.0 
| +-- babel-plugin-check-es2015-constants@6.6.4 
| | `-- babel-runtime@5.8.35 
| +-- babel-plugin-transform-es2015-arrow-functions@6.5.2 
| | `-- babel-runtime@5.8.35 
| +-- babel-plugin-transform-es2015-block-scoped-functions@6.6.4 
| | `-- babel-runtime@5.8.35 
| +-- babel-plugin-transform-es2015-block-scoping@6.6.4 
| | `-- babel-runtime@5.8.35 
| +-- babel-plugin-transform-es2015-classes@6.6.4 
| | +-- babel-helper-define-map@6.6.4 
| | | `-- babel-runtime@5.8.35 
| | +-- babel-helper-function-name@6.6.0 
| | | `-- babel-runtime@5.8.35 
| | +-- babel-helper-optimise-call-expression@6.6.0 
| | | `-- babel-runtime@5.8.35 
| | +-- babel-helper-replace-supers@6.6.4 
| | | `-- babel-runtime@5.8.35 
| | `-- babel-runtime@5.8.35 
| +-- babel-plugin-transform-es2015-computed-properties@6.6.4 
| | `-- babel-runtime@5.8.35 
| +-- babel-plugin-transform-es2015-destructuring@6.6.4 
| | `-- babel-runtime@5.8.35 
| +-- babel-plugin-transform-es2015-duplicate-keys@6.6.4 
| | `-- babel-runtime@5.8.35 
| +-- babel-plugin-transform-es2015-for-of@6.6.0 
| | `-- babel-runtime@5.8.35 
| +-- babel-plugin-transform-es2015-function-name@6.5.0 
| | `-- babel-runtime@5.8.35 
| +-- babel-plugin-transform-es2015-literals@6.5.0 
| | `-- babel-runtime@5.8.35 
| +-- babel-plugin-transform-es2015-modules-commonjs@6.6.4 
| | +-- babel-plugin-transform-strict-mode@6.6.4 
| | | `-- babel-runtime@5.8.35 
| | `-- babel-runtime@5.8.35 
| +-- babel-plugin-transform-es2015-object-super@6.6.4 
| | `-- babel-runtime@5.8.35 
| +-- babel-plugin-transform-es2015-parameters@6.6.4 
| | +-- babel-helper-call-delegate@6.6.4 
| | | +-- babel-helper-hoist-variables@6.6.4 
| | | | `-- babel-runtime@5.8.35 
| | | `-- babel-runtime@5.8.35 
| | +-- babel-helper-get-function-arity@6.6.4 
| | | `-- babel-runtime@5.8.35 
| | `-- babel-runtime@5.8.35 
| +-- babel-plugin-transform-es2015-shorthand-properties@6.5.0 
| | `-- babel-runtime@5.8.35 
| +-- babel-plugin-transform-es2015-spread@6.6.4 
| | `-- babel-runtime@5.8.35 
| +-- babel-plugin-transform-es2015-sticky-regex@6.5.0 
| | +-- babel-helper-regex@6.6.0 
| | | `-- babel-runtime@5.8.35 
| | `-- babel-runtime@5.8.35 
| +-- babel-plugin-transform-es2015-template-literals@6.6.4 
| | `-- babel-runtime@5.8.35 
| +-- babel-plugin-transform-es2015-typeof-symbol@6.6.0 
| | `-- babel-runtime@5.8.35 
| +-- babel-plugin-transform-es2015-unicode-regex@6.5.0 
| | +-- babel-runtime@5.8.35 
| | `-- regexpu-core@1.0.0 
| |   +-- regenerate@1.2.1 
| |   +-- regjsgen@0.2.0 
| |   `-- regjsparser@0.1.5 
| |     `-- jsesc@0.5.0 
| `-- babel-plugin-transform-regenerator@6.6.0 
|   +-- babel-plugin-syntax-async-functions@6.5.0 
|   | `-- babel-runtime@5.8.35 
|   `-- babel-runtime@5.8.35 
+-- babel-preset-react@6.5.0 
| +-- babel-plugin-syntax-flow@6.5.0 
| | `-- babel-runtime@5.8.35 
| +-- babel-plugin-syntax-jsx@6.5.0 
| | `-- babel-runtime@5.8.35 
| +-- babel-plugin-transform-flow-strip-types@6.6.4 
| | `-- babel-runtime@5.8.35 
| +-- babel-plugin-transform-react-display-name@6.5.0 
| | `-- babel-runtime@5.8.35 
| +-- babel-plugin-transform-react-jsx@6.6.4 
| | +-- babel-helper-builder-react-jsx@6.6.4 
| | | `-- babel-runtime@5.8.35 
| | `-- babel-runtime@5.8.35 
| `-- babel-plugin-transform-react-jsx-source@6.5.0 
|   `-- babel-runtime@5.8.35 
+-- babel-preset-react-hmre@1.1.0 
| +-- babel-plugin-react-transform@2.0.0 
| | `-- array-find@1.0.0 
| +-- react-transform-catch-errors@1.0.2 
| +-- react-transform-hmr@1.0.2 
| | +-- global@4.3.0 
| | | +-- min-document@2.18.0 
| | | | `-- dom-walk@0.1.1 
| | | `-- process@0.5.2 
| | `-- react-proxy@1.1.2 
| |   `-- react-deep-force-update@1.0.1 
| `-- redbox-react@1.2.2 
|   `-- error-stack-parser@1.3.3 
|     `-- stackframe@0.3.1 
+-- babel-preset-stage-0@6.5.0 
| +-- babel-plugin-transform-do-expressions@6.5.0 
| | +-- babel-plugin-syntax-do-expressions@6.5.0 
| | | `-- babel-runtime@5.8.35 
| | `-- babel-runtime@5.8.35 
| +-- babel-plugin-transform-function-bind@6.5.2 
| | +-- babel-plugin-syntax-function-bind@6.5.0 
| | | `-- babel-runtime@5.8.35 
| | `-- babel-runtime@5.8.35 
| `-- babel-preset-stage-1@6.5.0 
|   +-- babel-plugin-transform-class-constructor-call@6.6.4 
|   | +-- babel-plugin-syntax-class-constructor-call@6.5.0 
|   | | `-- babel-runtime@5.8.35 
|   | `-- babel-runtime@5.8.35 
|   +-- babel-plugin-transform-class-properties@6.6.0 
|   | +-- babel-plugin-syntax-class-properties@6.5.0 
|   | | `-- babel-runtime@5.8.35 
|   | `-- babel-runtime@5.8.35 
|   +-- babel-plugin-transform-decorators@6.6.4 
|   | +-- babel-helper-explode-class@6.6.4 
|   | | +-- babel-helper-bindify-decorators@6.6.4 
|   | | | `-- babel-runtime@5.8.35 
|   | | `-- babel-runtime@5.8.35 
|   | +-- babel-plugin-syntax-decorators@6.5.0 
|   | | `-- babel-runtime@5.8.35 
|   | `-- babel-runtime@5.8.35 
|   +-- babel-plugin-transform-export-extensions@6.5.0 
|   | +-- babel-plugin-syntax-export-extensions@6.5.0 
|   | | `-- babel-runtime@5.8.35 
|   | `-- babel-runtime@5.8.35 
|   `-- babel-preset-stage-2@6.5.0 
|     +-- babel-plugin-syntax-trailing-function-commas@6.5.0 
|     | `-- babel-runtime@5.8.35 
|     +-- babel-plugin-transform-object-rest-spread@6.6.4 
|     | +-- babel-plugin-syntax-object-rest-spread@6.5.0 
|     | | `-- babel-runtime@5.8.35 
|     | `-- babel-runtime@5.8.35 
|     `-- babel-preset-stage-3@6.5.0 
|       +-- babel-plugin-transform-async-to-generator@6.5.0 
|       | +-- babel-helper-remap-async-to-generator@6.6.0 
|       | | `-- babel-runtime@5.8.35 
|       | `-- babel-runtime@5.8.35 
|       `-- babel-plugin-transform-exponentiation-operator@6.5.0 
|         +-- babel-helper-builder-binary-assignment-operator-visitor@6.6.0 
|         | +-- babel-helper-explode-assignable-expression@6.6.4 
|         | | `-- babel-runtime@5.8.35 
|         | `-- babel-runtime@5.8.35 
|         +-- babel-plugin-syntax-exponentiation-operator@6.5.0 
|         | `-- babel-runtime@5.8.35 
|         `-- babel-runtime@5.8.35 
+-- babel-runtime@6.6.1 
| `-- core-js@2.1.3 
+-- clean-webpack-plugin@0.1.8 
| `-- rimraf@2.5.2 
|   `-- glob@7.0.0 
+-- cross-env@1.0.7 
| +-- cross-spawn-async@2.0.0 
| | +-- lru-cache@2.7.3 
| | `-- which@1.2.4 
| |   +-- is-absolute@0.1.7 
| |   | `-- is-relative@0.1.3 
| |   `-- isexe@1.1.2 
| `-- lodash.assign@3.2.0 
|   +-- lodash._baseassign@3.2.0 
|   | `-- lodash._basecopy@3.0.1 
|   +-- lodash._createassigner@3.1.1 
|   | +-- lodash._bindcallback@3.0.1 
|   | `-- lodash._isiterateecall@3.0.9 
|   `-- lodash.keys@3.1.2 
|     +-- lodash._getnative@3.9.1 
|     +-- lodash.isarguments@3.0.8 
|     `-- lodash.isarray@3.0.4 
+-- css-loader@0.23.1 
| +-- css-selector-tokenizer@0.5.4 
| | +-- cssesc@0.1.0 
| | `-- fastparse@1.1.1 
| +-- cssnano@3.5.2 
| | +-- decamelize@1.1.2 
| | +-- defined@1.0.0 
| | +-- indexes-of@1.0.1 
| | +-- postcss-calc@5.2.0 
| | | +-- postcss-message-helpers@2.0.0 
| | | `-- reduce-css-calc@1.2.1 
| | |   +-- balanced-match@0.1.0 
| | |   `-- reduce-function-call@1.0.1 
| | |     `-- balanced-match@0.1.0 
| | +-- postcss-colormin@2.2.0 
| | | `-- colormin@1.1.0 
| | |   +-- color@0.11.1 
| | |   | +-- color-convert@0.5.3 
| | |   | `-- color-string@0.3.0 
| | |   |   `-- color-name@1.1.1 
| | |   `-- css-color-names@0.0.3 
| | +-- postcss-convert-values@2.3.4 
| | +-- postcss-discard-comments@2.0.4 
| | +-- postcss-discard-duplicates@2.0.1 
| | +-- postcss-discard-empty@2.0.1 
| | +-- postcss-discard-unused@2.2.1 
| | | +-- flatten@1.0.2 
| | | `-- uniqs@2.0.0 
| | +-- postcss-filter-plugins@2.0.0 
| | | `-- uniqid@1.0.0 
| | +-- postcss-merge-idents@2.1.5 
| | | `-- has-own@1.0.0 
| | +-- postcss-merge-longhand@2.0.1 
| | +-- postcss-merge-rules@2.0.6 
| | +-- postcss-minify-font-values@1.0.3 
| | +-- postcss-minify-gradients@1.0.1 
| | +-- postcss-minify-params@1.0.4 
| | | `-- alphanum-sort@1.0.2 
| | +-- postcss-minify-selectors@2.0.4 
| | | `-- postcss-selector-parser@1.3.2 
| | |   `-- uniq@1.0.1 
| | +-- postcss-normalize-charset@1.1.0 
| | +-- postcss-normalize-url@3.0.7 
| | | +-- is-absolute-url@2.0.0 
| | | `-- normalize-url@1.4.1 
| | |   +-- prepend-http@1.0.3 
| | |   +-- query-string@3.0.1 
| | |   | `-- strict-uri-encode@1.1.0 
| | |   `-- sort-keys@1.1.1 
| | |     `-- is-plain-obj@1.1.0 
| | +-- postcss-ordered-values@2.1.0 
| | +-- postcss-reduce-idents@2.3.0 
| | +-- postcss-reduce-transforms@1.0.3 
| | +-- postcss-svgo@2.1.2 
| | | +-- is-svg@1.1.1 
| | | `-- svgo@0.6.1 
| | |   +-- coa@1.0.1 
| | |   | `-- q@1.4.1 
| | |   +-- colors@1.1.2 
| | |   +-- csso@1.4.4 
| | |   | `-- clap@1.0.10 
| | |   +-- js-yaml@3.4.6 
| | |   | +-- argparse@1.0.6 
| | |   | | `-- sprintf-js@1.0.3 
| | |   | `-- inherit@2.2.3 
| | |   +-- sax@1.1.5 
| | |   `-- whet.extend@0.9.9 
| | +-- postcss-unique-selectors@2.0.2 
| | `-- postcss-zindex@2.0.1 
| +-- lodash.camelcase@3.0.1 
| | `-- lodash._createcompounder@3.0.0 
| |   +-- lodash.deburr@3.2.0 
| |   | `-- lodash._root@3.0.1 
| |   `-- lodash.words@3.2.0 
| +-- postcss-modules-extract-imports@1.0.0 
| +-- postcss-modules-local-by-default@1.0.1 
| +-- postcss-modules-scope@1.0.0 
| +-- postcss-modules-values@1.1.1 
| | `-- icss-replace-symbols@1.0.2 
| `-- source-list-map@0.1.5 
+-- es6-mixins@1.0.2 
+-- expose-loader@0.7.1 
+-- express@4.13.4 
| +-- accepts@1.2.13 
| | +-- mime-types@2.1.10 
| | | `-- mime-db@1.22.0 
| | `-- negotiator@0.5.3 
| +-- array-flatten@1.1.1 
| +-- content-disposition@0.5.1 
| +-- content-type@1.0.1 
| +-- cookie@0.1.5 
| +-- cookie-signature@1.0.6 
| +-- depd@1.1.0 
| +-- escape-html@1.0.3 
| +-- etag@1.7.0 
| +-- finalhandler@0.4.1 
| | `-- unpipe@1.0.0 
| +-- fresh@0.3.0 
| +-- merge-descriptors@1.0.1 
| +-- methods@1.1.2 
| +-- on-finished@2.3.0 
| | `-- ee-first@1.1.1 
| +-- parseurl@1.3.1 
| +-- path-to-regexp@0.1.7 
| +-- proxy-addr@1.0.10 
| | +-- forwarded@0.1.0 
| | `-- ipaddr.js@1.0.5 
| +-- qs@4.0.0 
| +-- range-parser@1.0.3 
| +-- send@0.13.1 
| | +-- destroy@1.0.4 
| | +-- http-errors@1.3.1 
| | `-- statuses@1.2.1 
| +-- serve-static@1.10.2 
| +-- type-is@1.6.12 
| | `-- media-typer@0.3.0 
| +-- utils-merge@1.0.0 
| `-- vary@1.0.1 
+-- extract-text-webpack-plugin@1.0.1 
| +-- async@1.5.2 
| `-- webpack-sources@0.1.1 
+-- file-loader@0.8.5 
+-- jquery@2.2.1 
+-- node-sass@3.4.2 
| +-- async-foreach@0.1.3 
| +-- chalk@1.1.1 
| | +-- ansi-styles@2.2.0 
| | | `-- color-convert@1.0.0 
| | +-- escape-string-regexp@1.0.5 
| | +-- has-ansi@2.0.0 
| | `-- supports-color@2.0.0 
| +-- cross-spawn@2.1.5 
| | `-- spawn-sync@1.0.15 
| |   +-- concat-stream@1.5.1 
| |   | `-- typedarray@0.0.6 
| |   `-- os-shim@0.1.3 
| +-- gaze@0.5.2 
| | `-- globule@0.1.0 
| |   +-- glob@3.1.21 
| |   | +-- graceful-fs@1.2.3 
| |   | `-- inherits@1.0.2 
| |   +-- lodash@1.0.2 
| |   `-- minimatch@0.2.14 
| +-- get-stdin@4.0.1 
| +-- glob@5.0.15 
| | +-- inflight@1.0.4 
| | | `-- wrappy@1.0.1 
| | +-- inherits@2.0.1 
| | `-- once@1.3.3 
| +-- meow@3.7.0 
| | +-- camelcase-keys@2.0.0 
| | | `-- camelcase@2.1.0 
| | +-- loud-rejection@1.3.0 
| | | +-- array-find-index@1.0.1 
| | | `-- signal-exit@2.1.2 
| | +-- map-obj@1.0.1 
| | +-- minimist@1.2.0 
| | +-- normalize-package-data@2.3.5 
| | | +-- hosted-git-info@2.1.4 
| | | +-- is-builtin-module@1.0.0 
| | | | `-- builtin-modules@1.1.1 
| | | `-- validate-npm-package-license@3.0.1 
| | |   +-- spdx-correct@1.0.2 
| | |   | `-- spdx-license-ids@1.2.0 
| | |   `-- spdx-expression-parse@1.0.2 
| | |     `-- spdx-exceptions@1.0.4 
| | +-- read-pkg-up@1.0.1 
| | | +-- find-up@1.1.1 
| | | | `-- path-exists@2.1.0 
| | | `-- read-pkg@1.1.0 
| | |   +-- load-json-file@1.1.0 
| | |   | +-- graceful-fs@4.1.3 
| | |   | +-- parse-json@2.2.0 
| | |   | | `-- error-ex@1.3.0 
| | |   | |   `-- is-arrayish@0.2.1 
| | |   | +-- pify@2.3.0 
| | |   | `-- strip-bom@2.0.0 
| | |   |   `-- is-utf8@0.2.1 
| | |   `-- path-type@1.1.0 
| | |     `-- graceful-fs@4.1.3 
| | +-- redent@1.0.0 
| | | +-- indent-string@2.1.0 
| | | | `-- repeating@2.0.0 
| | | `-- strip-indent@1.0.1 
| | `-- trim-newlines@1.0.0 
| +-- nan@2.2.0 
| +-- node-gyp@3.3.0 
| | +-- fstream@1.0.8 
| | | `-- graceful-fs@4.1.3 
| | +-- glob@4.5.3 
| | | `-- minimatch@2.0.10 
| | +-- graceful-fs@4.1.3 
| | +-- minimatch@1.0.0 
| | | `-- sigmund@1.0.1 
| | +-- nopt@3.0.6 
| | | `-- abbrev@1.0.7 
| | +-- npmlog@2.0.2 
| | | +-- ansi@0.3.1 
| | | +-- are-we-there-yet@1.0.6 
| | | | `-- delegates@1.0.0 
| | | `-- gauge@1.2.7 
| | |   +-- has-unicode@2.0.0 
| | |   +-- lodash.pad@4.1.0 
| | |   | +-- lodash.repeat@4.0.0 
| | |   | `-- lodash.tostring@4.1.2 
| | |   +-- lodash.padend@4.2.0 
| | |   `-- lodash.padstart@4.2.0 
| | +-- osenv@0.1.3 
| | | `-- os-homedir@1.0.1 
| | +-- path-array@1.0.1 
| | | `-- array-index@1.0.0 
| | |   `-- es6-symbol@3.0.2 
| | |     +-- d@0.1.1 
| | |     `-- es5-ext@0.10.11 
| | |       `-- es6-iterator@2.0.0 
| | +-- semver@5.1.0 
| | `-- tar@2.2.1 
| |   `-- block-stream@0.0.8 
| +-- npmconf@2.1.2 
| | +-- config-chain@1.1.10 
| | | `-- proto-list@1.2.4 
| | +-- ini@1.3.4 
| | +-- semver@4.3.6 
| | `-- uid-number@0.0.5 
| +-- request@2.69.0 
| | +-- aws-sign2@0.6.0 
| | +-- aws4@1.3.2 
| | | `-- lru-cache@4.0.0 
| | |   +-- pseudomap@1.0.2 
| | |   `-- yallist@2.0.0 
| | +-- bl@1.0.3 
| | +-- caseless@0.11.0 
| | +-- combined-stream@1.0.5 
| | | `-- delayed-stream@1.0.0 
| | +-- extend@3.0.0 
| | +-- forever-agent@0.6.1 
| | +-- form-data@1.0.0-rc3 
| | +-- har-validator@2.0.6 
| | | +-- commander@2.9.0 
| | | | `-- graceful-readlink@1.0.1 
| | | +-- is-my-json-valid@2.13.1 
| | | | +-- generate-function@2.0.0 
| | | | +-- generate-object-property@1.2.0 
| | | | | `-- is-property@1.0.2 
| | | | +-- jsonpointer@2.0.0 
| | | | `-- xtend@4.0.1 
| | | `-- pinkie-promise@2.0.0 
| | |   `-- pinkie@2.0.4 
| | +-- hawk@3.1.3 
| | | +-- boom@2.10.1 
| | | +-- cryptiles@2.0.5 
| | | +-- hoek@2.16.3 
| | | `-- sntp@1.0.9 
| | +-- http-signature@1.1.1 
| | | +-- assert-plus@0.2.0 
| | | +-- jsprim@1.2.2 
| | | | +-- extsprintf@1.0.2 
| | | | +-- json-schema@0.2.2 
| | | | `-- verror@1.3.6 
| | | `-- sshpk@1.7.4 
| | |   +-- asn1@0.2.3 
| | |   +-- dashdash@1.13.0 
| | |   | `-- assert-plus@1.0.0 
| | |   +-- ecc-jsbn@0.1.1 
| | |   +-- jodid25519@1.0.2 
| | |   +-- jsbn@0.1.0 
| | |   `-- tweetnacl@0.14.1 
| | +-- is-typedarray@1.0.0 
| | +-- isstream@0.1.2 
| | +-- json-stringify-safe@5.0.1 
| | +-- node-uuid@1.4.7 
| | +-- oauth-sign@0.8.1 
| | +-- qs@6.0.2 
| | +-- stringstream@0.0.5 
| | +-- tough-cookie@2.2.1 
| | `-- tunnel-agent@0.4.2 
| `-- sass-graph@2.1.1 
|   +-- glob@6.0.4 
|   +-- lodash@4.6.1 
|   `-- yargs@3.32.0 
|     +-- cliui@3.1.0 
|     | `-- wrap-ansi@1.0.0 
|     +-- os-locale@1.4.0 
|     | `-- lcid@1.0.0 
|     |   `-- invert-kv@1.0.0 
|     +-- string-width@1.0.1 
|     | +-- code-point-at@1.0.0 
|     | `-- is-fullwidth-code-point@1.0.0 
|     +-- window-size@0.1.4 
|     `-- y18n@3.2.0 
+-- react@0.14.7 
| +-- envify@3.4.0 
| | +-- jstransform@10.1.0 
| | | +-- base62@0.1.1 
| | | +-- esprima-fb@13001.1001.0-dev-harmony-fb 
| | | `-- source-map@0.1.31 
| | `-- through@2.3.8 
| `-- fbjs@0.6.1 
|   +-- loose-envify@1.1.0 
|   +-- promise@7.1.1 
|   | `-- asap@2.0.3 
|   +-- ua-parser-js@0.7.10 
|   `-- whatwg-fetch@0.9.0 
+-- react-bootstrap@0.28.3 
| +-- classnames@2.2.3 
| +-- dom-helpers@2.4.0 
| +-- invariant@2.2.0 
| +-- keycode@2.1.0 
| +-- lodash-compat@3.10.2 
| +-- react-overlays@0.6.0 
| | `-- react-prop-types@0.2.2 
| +-- react-prop-types@0.3.0 
| +-- uncontrollable@3.2.1 
| `-- warning@2.1.0 
+-- react-dom@0.14.7 
+-- resolve-url-loader@1.4.3 
| +-- camelcase@1.2.1 
| +-- lodash.defaults@3.1.2 
| | `-- lodash.restparam@3.6.1 
| +-- rework@1.0.1 
| | +-- convert-source-map@0.3.5 
| | `-- css@2.2.1 
| |   +-- source-map@0.1.43 
| |   +-- source-map-resolve@0.3.1 
| |   | +-- atob@1.1.3 
| |   | +-- resolve-url@0.2.1 
| |   | `-- source-map-url@0.3.0 
| |   `-- urix@0.1.0 
| +-- rework-visit@1.0.0 
| `-- source-map@0.1.43 
|   `-- amdefine@1.0.0 
+-- sass-loader@3.1.2 
+-- url-loader@0.5.7 
| `-- mime@1.2.11 
+-- webpack@1.12.14 
| +-- clone@1.0.2 
| +-- enhanced-resolve@0.9.1 
| | +-- graceful-fs@4.1.3 
| | `-- memory-fs@0.2.0 
| +-- esprima@2.7.2 
| +-- interpret@0.6.6 
| +-- memory-fs@0.3.0 
| | +-- errno@0.1.4 
| | | `-- prr@0.0.0 
| | `-- readable-stream@2.0.5 
| |   +-- core-util-is@1.0.2 
| |   +-- isarray@0.0.1 
| |   +-- process-nextick-args@1.0.6 
| |   `-- util-deprecate@1.0.2 
| +-- node-libs-browser@0.5.3 
| | +-- assert@1.3.0 
| | +-- browserify-zlib@0.1.4 
| | | `-- pako@0.2.8 
| | +-- buffer@3.6.0 
| | | +-- base64-js@0.0.8 
| | | +-- ieee754@1.1.6 
| | | `-- isarray@1.0.0 
| | +-- console-browserify@1.1.0 
| | | `-- date-now@0.1.4 
| | +-- constants-browserify@0.0.1 
| | +-- crypto-browserify@3.2.8 
| | | +-- pbkdf2-compat@2.0.1 
| | | +-- ripemd160@0.2.0 
| | | `-- sha.js@2.2.6 
| | +-- domain-browser@1.1.7 
| | +-- events@1.1.0 
| | +-- http-browserify@1.7.0 
| | | `-- Base64@0.2.1 
| | +-- https-browserify@0.0.0 
| | +-- os-browserify@0.1.2 
| | +-- path-browserify@0.0.0 
| | +-- process@0.11.2 
| | +-- punycode@1.4.0 
| | +-- querystring-es3@0.2.1 
| | +-- readable-stream@1.1.13 
| | +-- stream-browserify@1.0.0 
| | | `-- readable-stream@1.1.13 
| | +-- string_decoder@0.10.31 
| | +-- timers-browserify@1.4.2 
| | | `-- process@0.11.2 
| | +-- tty-browserify@0.0.0 
| | +-- url@0.10.3 
| | | `-- punycode@1.3.2 
| | +-- util@0.10.3 
| | `-- vm-browserify@0.0.4 
| |   `-- indexof@0.0.1 
| +-- optimist@0.6.1 
| | +-- minimist@0.0.10 
| | `-- wordwrap@0.0.3 
| +-- supports-color@3.1.2 
| | `-- has-flag@1.0.0 
| +-- tapable@0.1.10 
| +-- uglify-js@2.6.2 
| | +-- async@0.2.10 
| | +-- uglify-to-browserify@1.0.2 
| | `-- yargs@3.10.0 
| |   +-- camelcase@1.2.1 
| |   +-- cliui@2.1.0 
| |   | +-- center-align@0.1.3 
| |   | | +-- align-text@0.1.4 
| |   | | | +-- longest@1.0.1 
| |   | | | `-- repeat-string@1.5.4 
| |   | | `-- lazy-cache@1.0.3 
| |   | +-- right-align@0.1.3 
| |   | `-- wordwrap@0.0.2 
| |   `-- window-size@0.1.0 
| +-- watchpack@0.2.9 
| | +-- async@0.9.2 
| | +-- chokidar@1.4.3 
| | | +-- anymatch@1.3.0 
| | | | +-- arrify@1.0.1 
| | | | `-- micromatch@2.3.7 
| | | |   +-- arr-diff@2.0.0 
| | | |   | `-- arr-flatten@1.0.1 
| | | |   +-- array-unique@0.2.1 
| | | |   +-- braces@1.8.3 
| | | |   | +-- expand-range@1.8.1 
| | | |   | | `-- fill-range@2.2.3 
| | | |   | |   +-- is-number@2.1.0 
| | | |   | |   +-- isobject@2.0.0 
| | | |   | |   `-- randomatic@1.1.5 
| | | |   | +-- preserve@0.2.0 
| | | |   | `-- repeat-element@1.1.2 
| | | |   +-- expand-brackets@0.1.4 
| | | |   +-- extglob@0.3.2 
| | | |   +-- filename-regex@2.0.0 
| | | |   +-- kind-of@3.0.2 
| | | |   | `-- is-buffer@1.1.2 
| | | |   +-- normalize-path@2.0.1 
| | | |   +-- object.omit@2.0.0 
| | | |   | +-- for-own@0.1.3 
| | | |   | | `-- for-in@0.1.4 
| | | |   | `-- is-extendable@0.1.1 
| | | |   +-- parse-glob@3.0.4 
| | | |   | +-- glob-base@0.3.0 
| | | |   | `-- is-dotfile@1.0.2 
| | | |   `-- regex-cache@0.4.2 
| | | |     +-- is-equal-shallow@0.1.3 
| | | |     `-- is-primitive@2.0.0 
| | | +-- async-each@1.0.0 
| | | +-- fsevents@1.0.8 
| | | | `-- node-pre-gyp@0.6.21 
| | | |   +-- mkdirp@0.5.1 
| | | |   | `-- minimist@0.0.8 
| | | |   +-- nopt@3.0.6 
| | | |   | `-- abbrev@1.0.7 
| | | |   +-- npmlog@2.0.2 
| | | |   | +-- ansi@0.3.1 
| | | |   | +-- are-we-there-yet@1.0.6 
| | | |   | | `-- delegates@1.0.0 
| | | |   | `-- gauge@1.2.5 
| | | |   |   +-- has-unicode@2.0.0 
| | | |   |   +-- lodash.pad@3.3.0 
| | | |   |   | +-- lodash._root@3.0.0 
| | | |   |   | `-- lodash.repeat@3.2.0 
| | | |   |   +-- lodash.padleft@3.1.1 
| | | |   |   | +-- lodash._basetostring@3.0.1 
| | | |   |   | `-- lodash._createpadding@3.6.1 
| | | |   |   `-- lodash.padright@3.1.1 
| | | |   +-- rc@1.1.6 
| | | |   | +-- deep-extend@0.4.1 
| | | |   | +-- ini@1.3.4 
| | | |   | +-- minimist@1.2.0 
| | | |   | `-- strip-json-comments@1.0.4 
| | | |   +-- request@2.69.0 
| | | |   | +-- aws-sign2@0.6.0 
| | | |   | +-- aws4@1.2.1 
| | | |   | | `-- lru-cache@2.7.3 
| | | |   | +-- bl@1.0.2 
| | | |   | +-- caseless@0.11.0 
| | | |   | +-- combined-stream@1.0.5 
| | | |   | | `-- delayed-stream@1.0.0 
| | | |   | +-- extend@3.0.0 
| | | |   | +-- forever-agent@0.6.1 
| | | |   | +-- form-data@1.0.0-rc3 
| | | |   | | `-- async@1.5.2 
| | | |   | +-- har-validator@2.0.6 
| | | |   | | +-- chalk@1.1.1 
| | | |   | | | +-- ansi-styles@2.1.0 
| | | |   | | | +-- escape-string-regexp@1.0.4 
| | | |   | | | +-- has-ansi@2.0.0 
| | | |   | | | | `-- ansi-regex@2.0.0 
| | | |   | | | +-- strip-ansi@3.0.0 
| | | |   | | | `-- supports-color@2.0.0 
| | | |   | | +-- commander@2.9.0 
| | | |   | | | `-- graceful-readlink@1.0.1 
| | | |   | | +-- is-my-json-valid@2.12.4 
| | | |   | | | +-- generate-function@2.0.0 
| | | |   | | | +-- generate-object-property@1.2.0 
| | | |   | | | | `-- is-property@1.0.2 
| | | |   | | | +-- jsonpointer@2.0.0 
| | | |   | | | `-- xtend@4.0.1 
| | | |   | | `-- pinkie-promise@2.0.0 
| | | |   | |   `-- pinkie@2.0.4 
| | | |   | +-- hawk@3.1.3 
| | | |   | | +-- boom@2.10.1 
| | | |   | | +-- cryptiles@2.0.5 
| | | |   | | +-- hoek@2.16.3 
| | | |   | | `-- sntp@1.0.9 
| | | |   | +-- http-signature@1.1.1 
| | | |   | | +-- assert-plus@0.2.0 
| | | |   | | +-- jsprim@1.2.2 
| | | |   | | | +-- extsprintf@1.0.2 
| | | |   | | | +-- json-schema@0.2.2 
| | | |   | | | `-- verror@1.3.6 
| | | |   | | `-- sshpk@1.7.3 
| | | |   | |   +-- asn1@0.2.3 
| | | |   | |   +-- dashdash@1.12.2 
| | | |   | |   +-- ecc-jsbn@0.1.1 
| | | |   | |   +-- jodid25519@1.0.2 
| | | |   | |   +-- jsbn@0.1.0 
| | | |   | |   `-- tweetnacl@0.13.3 
| | | |   | +-- is-typedarray@1.0.0 
| | | |   | +-- isstream@0.1.2 
| | | |   | +-- json-stringify-safe@5.0.1 
| | | |   | +-- mime-types@2.1.9 
| | | |   | | `-- mime-db@1.21.0 
| | | |   | +-- node-uuid@1.4.7 
| | | |   | +-- oauth-sign@0.8.1 
| | | |   | +-- qs@6.0.2 
| | | |   | +-- stringstream@0.0.5 
| | | |   | +-- tough-cookie@2.2.1 
| | | |   | `-- tunnel-agent@0.4.2 
| | | |   +-- rimraf@2.5.1 
| | | |   | `-- glob@6.0.4 
| | | |   |   +-- inflight@1.0.4 
| | | |   |   | `-- wrappy@1.0.1 
| | | |   |   +-- inherits@2.0.1 
| | | |   |   +-- minimatch@3.0.0 
| | | |   |   | `-- brace-expansion@1.1.2 
| | | |   |   |   +-- balanced-match@0.3.0 
| | | |   |   |   `-- concat-map@0.0.1 
| | | |   |   +-- once@1.3.3 
| | | |   |   | `-- wrappy@1.0.1 
| | | |   |   `-- path-is-absolute@1.0.0 
| | | |   +-- semver@5.1.0 
| | | |   +-- tar@2.2.1 
| | | |   | +-- block-stream@0.0.8 
| | | |   | +-- fstream@1.0.8 
| | | |   | | `-- graceful-fs@4.1.3 
| | | |   | `-- inherits@2.0.1 
| | | |   `-- tar-pack@3.1.3 
| | | |     +-- debug@2.2.0 
| | | |     | `-- ms@0.7.1 
| | | |     +-- fstream-ignore@1.0.3 
| | | |     | `-- minimatch@3.0.0 
| | | |     |   `-- brace-expansion@1.1.2 
| | | |     |     +-- balanced-match@0.3.0 
| | | |     |     `-- concat-map@0.0.1 
| | | |     +-- once@1.3.3 
| | | |     | `-- wrappy@1.0.1 
| | | |     +-- readable-stream@2.0.5 
| | | |     | +-- core-util-is@1.0.2 
| | | |     | +-- isarray@0.0.1 
| | | |     | +-- process-nextick-args@1.0.6 
| | | |     | +-- string_decoder@0.10.31 
| | | |     | `-- util-deprecate@1.0.2 
| | | |     `-- uid-number@0.0.6 
| | | +-- glob-parent@2.0.0 
| | | +-- is-binary-path@1.0.1 
| | | | `-- binary-extensions@1.4.0 
| | | +-- is-glob@2.0.1 
| | | | `-- is-extglob@1.0.0 
| | | `-- readdirp@2.0.0 
| | |   `-- graceful-fs@4.1.3 
| | `-- graceful-fs@4.1.3 
| `-- webpack-core@0.6.8 
|   `-- source-map@0.4.4 
+-- webpack-dev-middleware@1.5.1 
| `-- mime@1.3.4 
`-- webpack-hot-middleware@2.9.1 
  +-- ansi-html@0.0.5 
  +-- html-entities@1.2.0 
  +-- querystring@0.2.0 
  `-- strip-ansi@3.0.1 
    `-- ansi-regex@2.0.0 

npm WARN assets@1.0.0 No license field.
➜  dude  

@TrejGun
Copy link

TrejGun commented Mar 3, 2016

➜ dude npm -v
3.7.3
➜ dude node -v
v5.7.0

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment